Ubuntu

[LENOVO 7454CTO] suspend/resume failure

Reported by Jorge O. Castro on 2009-02-27
132
This bug affects 25 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Jaunty by Jonathande2

Bug Description

This occured while doing suspend/resume testing using this script: https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting

ProblemType: KernelOops
Annotation: This occured during a previous suspend and prevented it from resuming properly.
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
InterpreterPath: /usr/bin/python2.5
MachineType: LENOVO 7454CTO
Package: linux-image-2.6.28-8-generic 2.6.28-8.26
ProcAttrCurrent: unconfined
ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro vga=0x318 quiet splash
ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
ProcEnviron: PATH=(custom, no user)
ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
SourcePackage: linux
Tags: resume suspend
Title: [LENOVO 7454CTO] suspend/resume failure
UserGroups:

Jorge O. Castro (jorge) wrote :
Andy Whitcroft (apw) on 2009-03-23
Changed in linux:
importance: Undecided → Medium
status: New → Triaged
Jonathande2 (jonathan-slob) wrote :

I tried the suspend/resume test too and al the tests failed

I use a lenovo 3000 N200 and use the 64 bit version of ubuntu 9.04 which I update daily

Jonathande2 (jonathan-slob) wrote :
Download full text (4.4 KiB)

my testresults

jonathan@ubuntu:~$ sudo bash /usr/share/checkbox/scripts/suspend_test --full
This script will attempt to suspend and resume your computer a number of times.
Should the machine fail to resume, first attempt to manually resume it. If
that fails power your system off and on which will generate an apport bug
report automatically.

Press CTRL-C now to abort testing ...

*** TEST 1 -- suspend triggered via dbus message
*** please ensure your AC cord is attached
*** machine will suspend for 20 seconds
*** press return when ready

SUSPEND FAILED, did not go to sleep
*** WARNING: AC power not in expected state (1) after test

*** TEST 2 -- suspend with AC disconnected
*** please ensure your AC cord is detached
*** machine will suspend for 20 seconds
*** press return when ready

SUSPEND FAILED, did not go to sleep
*** WARNING: AC power not in expected state (0) after test

*** TEST 3 -- suspend with AC connected
*** please ensure your AC cord is attached
*** machine will suspend for 20 seconds
*** press return when ready

SUSPEND FAILED, did not go to sleep

*** TEST 4 -- loss of AC while suspended
*** please remove the AC cord while the machine is suspended
*** machine will suspend for 20 seconds
*** press return when ready

SUSPEND FAILED, did not go to sleep

*** TEST 5 -- return of AC while suspended
*** please insert the AC cord while the machine is suspended
*** machine will suspend for 20 seconds
*** press return when ready

SUSPEND FAILED, did not go to sleep

*** TEST 6 -- battery drain during suspend
*** calculates overall power drain during a long-term suspend
*** please ensure your AC cord is detached
*** machine will suspend for 20 minutes
*** press return when ready

SUSPEND FAILED, did not go to sleep
before: 2448 mWh
after: 2448 mWh
consumed: 0 mW
sleep seconds: 32 sec
overall usage: 0 mW
WARNING: the suspend was less than 20 minutes
         to get reliable numbers increase the sleep time
*** WARNING: AC power not in expected state (0) after test

*** TEST 7 -- 30 iteration variable delay suspend/resume stress test
*** please ensure your AC cord is attached
*** machine will suspend for 20 seconds
*** NOTE: there will be no further user interaction from this point
*** press return when ready

delay 60 ...

SUSPEND FAILED, did not go to sleep
wait for 60 seconds

delay 58 ...
SUSPEND FAILED, did not go to sleep
wait for 58 seconds

delay 56 ...

SUSPEND FAILED, did not go to sleep
wait for 56 seconds
delay 54 ...
SUSPEND FAILED, did not go to sleep
wait for 54 seconds
delay 52 ...
SUSPEND FAILED, did not go to sleep
wait for 52 seconds
delay 50 ...
SUSPEND FAILED, did not go to sleep
wait for 50 seconds
delay 48 ...
SUSPEND FAILED, did not go to sleep
wait for 48 seconds
delay 46 ...
SUSPEND FAILED, did not go to sleep
wait for 46 seconds
delay 44 ...
SUSPEND FAILED, did not go to sleep
wait for 44 seconds
delay 42 ...
SUSPEND FAILED, did not go to sleep
wait for 42 seconds
delay 40 ...
SUSPEND FAILED, did not go to sleep
wait for 40 seconds
delay 38 ...
SUSPEND FAILED, did not go to sleep
wait for 38 seconds
delay 36 ...
SUSPEND FAILED, did not go to sleep
wait for 36 seconds
delay 34 ...
SU...

Read more...

Rob Latham (rob-terizla) wrote :

This happens for me too, x200, running 2.6.28-11-server

Rob Latham (rob-terizla) wrote :

I'm happy to report that suspend/resume seems to be working with this weeks
(as of 4 april 2009) updated packages.

uname: Linux doakes 2.6.28-11-server #40-Ubuntu SMP Fri Apr 3 18:30:06 UTC 2009 i686 GNU/Linux

xserver-xorg-video-intel: 2:2.6.3-0ubuntu5

legodude (legodude) wrote :

As of today (Thurs, April 9, latest Jaunty as of last night) I still experience failures of the machine (Thinkpad X200) to suspend when I close the lid. Manually clicking suspend from the K-menu seems to work. I am not aware of any problems on resume, but I did receive this bug on more than one occasion when resuming, which is how I ended up here.

George Hein (gjhein) wrote :

30Apr2009, new Lenovo Y530-4051 - latest Jaunty updates to new install
Suspend fails, partially shuts down, PC locked, requires several seconds of power sw to shutdown.
Hibernate does not power-off after I/O, after several seconds of power-sw I shut it down; Resume worked fine.

However, no problems with an upgrade to jaunty on ThinkPad-T42

tm (tmtm) wrote :

The problem still exists. I tried new kernel 2.6.30.5 but nothing helped.

Jorge O. Castro (jorge) wrote :

Hi guys, do you still get this problem? I'm having no issues with suspend/resume in Jaunty or Karmic with my X200 so I am no longer seeing this issue.

Arun (akarun87) wrote :

Yes, I still have the problem on Lenovo Y530
Suspend - goes to a blank screen with blinking cursor - I have to hard-reset

Hibernate also doesn't shutdown.. Though hard-reset resumes the image properly.

This has always been the case..

Peter Leonard (peter-bkknow) wrote :

Jorge,

Yes, it's still the same problem. As Arun described. Also on Lenovo Y530.

I did manage tog get Hibernation to work with tuxonice, but ... often-times this resulted in a "corrupt lower memory" error and although the system would resume, it was prone to crash after this error. So I just always have to completely shut down and restart.

(Windows 7 RC1 suspend and resume works fine on same system BTW.)

David Hamm (davidthamm) wrote :

Had to hard reset just a few moments ago. The system was in standby for a couple hours. Upon opening the lid the system seemed to restore and I got a password dialogue box I was able to enter 2 characters of my password and then my system froze. I have a ssd which is perhaps why the system temporarily works before panicking. A script being executed upon resume might be causing the problem? This temporarily working situation upon resume has been the case for a couple months now. The situation doesn't happen every time I suspend. This is on an x200, and the system is up-to-date. Thanks.

Simon Gerber (gesimu) wrote :

My x301 behaves exactly like David's x200 as long as gnome-power-manager is running and im resuming while running on battery power. If I kill gnome-power-manager I can also resume my system when running on battery. Hope this gets fixed for the final release.

swmike (ubuntu-s-plass) wrote :

I have had numerous problems with my X200 when resuming from suspend, nothing starts up after opening the lid, the "moon" is flashing. This is with fully updated karmic with the release kernel.

I do not have any more information as the machine never comes out of suspend so I can see logs etc. It doesn't happen all the time.

David Hamm (davidthamm) wrote :

In lucid, currently, the system will resume from standby when the lid is opened. It will then magically go back into standby. A final press on the power button will bring it back out of standby for good.

Any improvements for lenovo y 530 in lucid?

On 13 Jan 2010 06:55, "David Hamm" <email address hidden> wrote:

In lucid, currently, the system will resume from standby when the lid is
opened. It will then magically go back into standby. A final press on
the power button will bring it back out of standby for good.

-- [LENOVO 7454CTO] suspend/resume failure
https://bugs.launchpad.net/bugs/335570 You received thi...

David Hamm (davidthamm) wrote :

Problem was fixed while back for me.

David,

Please, can you confirm that your hardware is the same as the original reporter?

It would also be useful to include your kernel version.

Thanks.

George Hein (gjhein) wrote :

Same hardware.

Using ALL kernels: always using latest version available. Several months ago using xUbuntu-karmic-32 and xUbuntu-lucid-64 in addition to gnome versions; lately using only gUbuntu-karmic-32 and gUbuntu-32+64-lucid but just dropped karmic completely.

NOTE: my Lenovo-Ideapad=Y530 laptop is not recognized. In fact, for a week or two recently with lucid-64 PowerMgt did no show any options for laptop.

For last few months I also seldom used hibernate as it took too long to boot; fresh boots much quicker.

David Hamm (davidthamm) wrote :

on lucid w/ newer kernel 2.6.32-21-generic x64 x200 lenovo 7454CTO

danzber (agarcia65) wrote :

I just recently upgraded to Lucid and am still having the issue with
suspend, although I have been able to hibernate successfully for quite some
time. Did you do anything out of the ordinary to your configuration to get
the suspend to work?

On Fri, Apr 30, 2010 at 10:47 AM, David Hamm <email address hidden> wrote:

> on lucid w/ newer kernel 2.6.32-21-generic x64 x200 lenovo 7454CTO
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This occured while doing suspend/resume testing using this script:
> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> InterpreterPath: /usr/bin/python2.5
> MachineType: LENOVO 7454CTO
> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
> vga=0x318 quiet splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 7454CTO] suspend/resume failure
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>

--
- Alex

David Hamm (davidthamm) wrote :

@danzber fresh install?

danzber (agarcia65) wrote :

No, not a fresh install....upgrade. I'd really like to avoid a fresh
install.

On Fri, Apr 30, 2010 at 5:11 PM, David Hamm <email address hidden> wrote:

> @danzber fresh install?
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This occured while doing suspend/resume testing using this script:
> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> InterpreterPath: /usr/bin/python2.5
> MachineType: LENOVO 7454CTO
> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
> vga=0x318 quiet splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 7454CTO] suspend/resume failure
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>

--
- Alex

David Hamm (davidthamm) wrote :

probably gonna have to clean up some stuff then, not sure what exactly
caused the problem to begin with, but reinstalling graphics
drivers/reconfigure, look through forums? make sure you have all the
newest packages apt-get dist-upgrade, recovery mode check for broken
packages. This would be one of those situations i'm glad I have a home
partition. :/

On Fri, Apr 30, 2010 at 2:28 PM, danzber <email address hidden> wrote:
> No, not a fresh install....upgrade.  I'd really like to avoid a fresh
> install.
>
> On Fri, Apr 30, 2010 at 5:11 PM, David Hamm <email address hidden>
> wrote:
>
>> @danzber fresh install?
>>
>> --
>> [LENOVO 7454CTO] suspend/resume failure
>> https://bugs.launchpad.net/bugs/335570
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “linux” package in Ubuntu: Triaged
>>
>> Bug description:
>> This occured while doing suspend/resume testing using this script:
>> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>>
>> ProblemType: KernelOops
>> Annotation: This occured during a previous suspend and prevented it from
>> resuming properly.
>> Architecture: i386
>> DistroRelease: Ubuntu 9.04
>> ExecutablePath: /usr/share/apport/apportcheckresume
>> Failure: suspend/resume
>> InterpreterPath: /usr/bin/python2.5
>> MachineType: LENOVO 7454CTO
>> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
>> ProcAttrCurrent: unconfined
>> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
>> vga=0x318 quiet splash
>> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
>> ProcEnviron: PATH=(custom, no user)
>> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
>> SourcePackage: linux
>> Tags: resume suspend
>> Title: [LENOVO 7454CTO] suspend/resume failure
>> UserGroups:
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>>
>
>
> --
> - Alex
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This occured while doing suspend/resume testing using this script: https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from resuming properly.
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> InterpreterPath: /usr/bin/python2.5
> MachineType: LENOVO 7454CTO
> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro vga=0x318 quiet splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 7454CTO] suspend/resume failure
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>

David Hamm (davidthamm) wrote :

@^_Pepe_^ I confirm that I have the same hardware as the original.
However seeing as people are still experiencing issues with the ideapad y530, and that the other y530 bugs have been marked as duplicates, this bug should be changed to reflect the current issue.

Arun (akarun87) wrote :

Very true. I think the suspend resume still doesn't work on y 530. Will do a
fresh install and report back. But the issues are different and must be
unmarked as duplicate

Cheers,
Arun

Sent from my Nexus One.

On 3 May 2010 19:13, "David Hamm" <email address hidden> wrote:

@^_Pepe_^ I confirm that I have the same hardware as the original.
However seeing as people are still experiencing issues with the ideapad
y530, and that the other y530 bugs have been marked as duplicates, this bug
should be changed to reflect the current issue.

--

[LENOVO 7454CTO] suspend/resume failure
https://bugs.launchpad.net/bugs/335570
You received this bug...

b3d (jim-herrmann) wrote :

Suspend doesn't work for me, and I did a fresh install of 10.4 on my Y530.
Haven't tried hibernate yet. The boot and shutdown are real fast, so
hibernate doesn't do me much good.

On Mon, May 3, 2010 at 1:23 PM, Arun <email address hidden> wrote:

> Very true. I think the suspend resume still doesn't work on y 530. Will do
> a
> fresh install and report back. But the issues are different and must be
> unmarked as duplicate
>
> Cheers,
> Arun
>
> Sent from my Nexus One.
>
> On 3 May 2010 19:13, "David Hamm" <email address hidden> wrote:
>
> @^_Pepe_^ I confirm that I have the same hardware as the original.
> However seeing as people are still experiencing issues with the ideapad
> y530, and that the other y530 bugs have been marked as duplicates, this bug
> should be changed to reflect the current issue.
>
> --
>
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug...
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

turup (marek-zdunek-gmx) wrote :

same here
fresh install 10.04 suspend/hibernate doesn't work, screen goes black only hard reset helps
lenovo y530 Intel Dual Core T4300 3GB DDR3 NVIDIA GeForce 9600M GS

George Hein (gjhein) wrote :

fresh install lucid-64 hibernate no longer shuts down, power off required, however, restore does work.
one possiblity is I removed screensaver and wallpaper.

(no problems with hibernate with karmic-32 or beta versions of lucid-32/64 although beta lucid resume too slow to use)

again, suspend not working, does not complete sleep on any version of Ubuntu or Debian on Lenovo-Y530

IdeaPad Y530 (4051) - GMA (February 2009)
Type-model Processor GHz Memory display LED era graphics disk optical wireless tooth STAR 4.0 preload date
===========================================================================================
4051-68U T3400 2.16 2GB 15.4" WXGA LED Cam GMA 250GB DVD±RW Intel 5100 Prem 32 Feb 09
============================================================================================
Processor
Intel® Pentium® processor T3400 with dual-co,667MHz system bus, and 1MB L2 cache or
Memory
1GB, 2GB, 3GB, or 4GB std / 4GB max31 / PC3-8500 1066MHz DDR3, non-parity,
dual-channel capable, two 204-pin SO-DIMM sockets
Diskette drive None (use optional USB-based diskette drive)
SATA DVD±RW DVD burner, dual-layer support, fixed, not removable, 12.7mm high, tray-in
SATA disk 250GB (5400 rpm)
SATA 1.5Gb/s, 9.5mm high, removable
Widescreen 15.4" (391.2mm) WXGA (1280x800) TFT color, VibrantView (glossy),
display LED backlight, 200 nits, 16:10 aspect ratio, 400:1 contrast ratio
Camera Camera on top of screen, 1.3-megapixel, fixed focus
IntegratedIntel Graphics Media Accelerator 4500MHD (GMA 4500MHD), in GM45,
graphics HDMI port supporting HDCP to output protected content
Keyboard Full-size keyboard, 6-row, 84-key, multimedia Fn keys, recovery key
Multimedia controlsTouch-sensitive audio-video control panel, Shuttle Key
Touch pad Two-button touch pad with scroll feature (no TrackPoint®)
Chipset
Mobile Intel GM45 Express Chipset (Memory Controller Hub),
Wireless on/off switch
ICH9M I/O Controller Hub (SATA 3.0Gb/s, USB 2.0, PCI Express® 1.1,
PCI 2.3, ethernet MAC), PCI bus (Ricoh® R5C833 Cardbus/1394/Multicard),
LPC bus (IT8752 Super I/O)
ExpressCard/54 One slot (ExpressCard/34, ExpressCard/54)
Multicard reader 6-in-1 reader (MultiMedia Card, Memory Stick, Memory Stick PRO™,
ethernet (RJ-45), IEEE 1394 FireWire 400 (4-pin connector; 1394a-2000 standard)
Intel 510028 11a/b/g/n wireless4, Mini PCIe adapter, Intel WiFi Link 5100,
Bluetooth™ Some: Bluetooth 2.1 wireless, USB 2.0 interface via ICH9M, LED indicator
Modem 56K6 V.9215 modem 9x5 Next Business Day 43R8883
Ethernet 10/100 ethernet, Broadcom® BCM5906M, PCI 2.3 • 3-year Lenovo Onsite Repair13
Audio support High Definition (HD) Audio, RealTek® ALC888S codec
two main speakers (2 watt), two secondary speakers (1 watt) and subwoofer with accidental
(2.5 watt), Dolby® Home Theater™ Speaker System /
dual array microphone, microphone input jack (3.5 mm), headphone jack (3.5 mm)
Security Power-on password, hard disk password, supervisor password

Mekk (marcin-kasperski) wrote :

Since yesterday suddenly my Lenovo Y530 started to properly hibernate and resume.

I use tuxonice kernel (2.6.32-22-generic-tuxonice). Earlier tuxonice properly hibernated (or at least it seemed so as it showed hibernation messages and shut down) but never resumed.

So if somebody has the same problem, it may make sense to add

deb http://ppa.launchpad.net/tuxonice/ppa/ubuntu lucid main

to sources.list, install tuxonice kernel and give it a try.

Arun (akarun87) wrote :

Cool. Will try today. Thanks for the information.

Cheers,
Arun

Sent from my Nexus One.

On 30 May 2010 06:40, "Mekk" <email address hidden> wrote:

Since yesterday suddenly my Lenovo Y530 started to properly hibernate
and resume.

I use tuxonice kernel (2.6.32-22-generic-tuxonice). Earlier tuxonice
properly hibernated (or at least it seemed so as it showed hibernation
messages and shut down) but never resumed.

So if somebody has the same problem, it may make sense to add

deb http://ppa.launchpad.net/tuxonice/ppa/ubuntu lucid main

to sources.list, install tuxonice kernel and give it a try.

--
[LENOVO 7454CTO] suspend/resume failure
https://bugs.launchpad.net/bugs/335570
You received thi...

Bartłomiej Żogała (nusch) wrote :

Did you changed any config or just installed tuxonice and tuxonice-userui, for my Y530 nothing changed after installing, switching in /etc/pm/config.d/00sleep_module to tuxonice and reboot to new kernel. Could you provide all your acpi related configs eg /etc/default/acpi-support?

Bartłomiej Żogała (nusch) wrote :

I can confirm, hibernate works with tuxonice, from kde hibernate option or echo > /sys/power/tuxonice/do_suspend. But not suspend to RAM, it has problem with entering S3 state, I opened new bug only for Y530:
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/587457

George Hein (gjhein) wrote :

same problem under Maverick64 as well as Lucid32+64: suspend fails to complete, requiring a power-off.

Note, for hibernation I added following to execute at startup, without this I need to power-off:

  echo shutdown > /sys/power/disk

tm (tmtm) wrote :
Arun (akarun87) wrote :

Wow! very nice. It fixed the issue!!
Thanks a lot TM! I am happy now :)

On Tue, Nov 9, 2010 at 8:40 AM, tm <email address hidden> wrote:

> Workaround for lenovo y530 suspend to ram:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587457/comments/6
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (351052).
>

Arun (akarun87) wrote :

Even hibernate issue is fixed with this workaround! Yay!

On Wed, Nov 10, 2010 at 8:35 PM, Arun <email address hidden> wrote:

> Wow! very nice. It fixed the issue!!
> Thanks a lot TM! I am happy now :)
>
>
> On Tue, Nov 9, 2010 at 8:40 AM, tm <email address hidden> wrote:
>
>> Workaround for lenovo y530 suspend to ram:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587457/comments/6
>>
>> --
>> [LENOVO 7454CTO] suspend/resume failure
>> https://bugs.launchpad.net/bugs/335570
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (351052).
>>
>
>

danzber (agarcia65) wrote :

This did not resolve the issue for me. Did you do anything else, other than
create the file?

On Wed, Nov 10, 2010 at 4:09 PM, Arun <email address hidden> wrote:

> Even hibernate issue is fixed with this workaround! Yay!
>
> On Wed, Nov 10, 2010 at 8:35 PM, Arun <email address hidden> wrote:
>
> > Wow! very nice. It fixed the issue!!
> > Thanks a lot TM! I am happy now :)
> >
> >
> > On Tue, Nov 9, 2010 at 8:40 AM, tm <email address hidden> wrote:
> >
> >> Workaround for lenovo y530 suspend to ram:
> >> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587457/comments/6
> >>
> >> --
> >> [LENOVO 7454CTO] suspend/resume failure
> >> https://bugs.launchpad.net/bugs/335570
> >> You received this bug notification because you are a direct subscriber
> >> of a duplicate bug (351052).
> >>
> >
> >
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (354708).
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This occured while doing suspend/resume testing using this script:
> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>
> ProblemType: KernelOops
> Annotation: This occured during a previous suspend and prevented it from
> resuming properly.
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ExecutablePath: /usr/share/apport/apportcheckresume
> Failure: suspend/resume
> InterpreterPath: /usr/bin/python2.5
> MachineType: LENOVO 7454CTO
> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
> ProcAttrCurrent: unconfined
> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
> vga=0x318 quiet splash
> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> ProcEnviron: PATH=(custom, no user)
> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
> SourcePackage: linux
> Tags: resume suspend
> Title: [LENOVO 7454CTO] suspend/resume failure
> UserGroups:
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>

--
- Alex

Arun (akarun87) wrote :

I made the file an executable to match the other files. In fact I just
created and chmoded and did a suspend (no restart ) or anything. It worked
straight.

Cheers,
Arun

Sent from my Nexus One
On 13 Nov 2010 21:36, "danzber" <email address hidden> wrote:
> This did not resolve the issue for me. Did you do anything else, other
than
> create the file?
>
> On Wed, Nov 10, 2010 at 4:09 PM, Arun <email address hidden> wrote:
>
>> Even hibernate issue is fixed with this workaround! Yay!
>>
>> On Wed, Nov 10, 2010 at 8:35 PM, Arun <email address hidden> wrote:
>>
>> > Wow! very nice. It fixed the issue!!
>> > Thanks a lot TM! I am happy now :)
>> >
>> >
>> > On Tue, Nov 9, 2010 at 8:40 AM, tm <email address hidden> wrote:
>> >
>> >> Workaround for lenovo y530 suspend to ram:
>> >> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587457/comments/6
>> >>
>> >> --
>> >> [LENOVO 7454CTO] suspend/resume failure
>> >> https://bugs.launchpad.net/bugs/335570
>> >> You received this bug notification because you are a direct subscriber
>> >> of a duplicate bug (351052).
>> >>
>> >
>> >
>>
>> --
>> [LENOVO 7454CTO] suspend/resume failure
>> https://bugs.launchpad.net/bugs/335570
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (354708).
>>
>> Status in “linux” package in Ubuntu: Triaged
>>
>> Bug description:
>> This occured while doing suspend/resume testing using this script:
>> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
>>
>> ProblemType: KernelOops
>> Annotation: This occured during a previous suspend and prevented it from
>> resuming properly.
>> Architecture: i386
>> DistroRelease: Ubuntu 9.04
>> ExecutablePath: /usr/share/apport/apportcheckresume
>> Failure: suspend/resume
>> InterpreterPath: /usr/bin/python2.5
>> MachineType: LENOVO 7454CTO
>> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
>> ProcAttrCurrent: unconfined
>> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
>> vga=0x318 quiet splash
>> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
>> ProcEnviron: PATH=(custom, no user)
>> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
>> SourcePackage: linux
>> Tags: resume suspend
>> Title: [LENOVO 7454CTO] suspend/resume failure
>> UserGroups:
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
>>
>
>
> --
> - Alex
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (351052).

danzber (agarcia65) wrote :
Download full text (4.1 KiB)

Ah, I didn't chmod. That did the trick. Thanks a lot! Finally!

On Sat, Nov 13, 2010 at 4:41 PM, Arun <email address hidden> wrote:

> I made the file an executable to match the other files. In fact I just
> created and chmoded and did a suspend (no restart ) or anything. It worked
> straight.
>
> Cheers,
> Arun
>
> Sent from my Nexus One
> On 13 Nov 2010 21:36, "danzber" <email address hidden> wrote:
> > This did not resolve the issue for me. Did you do anything else, other
> than
> > create the file?
> >
> > On Wed, Nov 10, 2010 at 4:09 PM, Arun <email address hidden> wrote:
> >
> >> Even hibernate issue is fixed with this workaround! Yay!
> >>
> >> On Wed, Nov 10, 2010 at 8:35 PM, Arun <email address hidden> wrote:
> >>
> >> > Wow! very nice. It fixed the issue!!
> >> > Thanks a lot TM! I am happy now :)
> >> >
> >> >
> >> > On Tue, Nov 9, 2010 at 8:40 AM, tm <email address hidden> wrote:
> >> >
> >> >> Workaround for lenovo y530 suspend to ram:
> >> >>
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/587457/comments/6
> >> >>
> >> >> --
> >> >> [LENOVO 7454CTO] suspend/resume failure
> >> >> https://bugs.launchpad.net/bugs/335570
> >> >> You received this bug notification because you are a direct
> subscriber
> >> >> of a duplicate bug (351052).
> >> >>
> >> >
> >> >
> >>
> >> --
> >> [LENOVO 7454CTO] suspend/resume failure
> >> https://bugs.launchpad.net/bugs/335570
> >> You received this bug notification because you are a direct subscriber
> >> of a duplicate bug (354708).
> >>
> >> Status in “linux” package in Ubuntu: Triaged
> >>
> >> Bug description:
> >> This occured while doing suspend/resume testing using this script:
> >> https://wiki.ubuntu.com/KernelTeam/SuspendResumeTesting
> >>
> >> ProblemType: KernelOops
> >> Annotation: This occured during a previous suspend and prevented it from
> >> resuming properly.
> >> Architecture: i386
> >> DistroRelease: Ubuntu 9.04
> >> ExecutablePath: /usr/share/apport/apportcheckresume
> >> Failure: suspend/resume
> >> InterpreterPath: /usr/bin/python2.5
> >> MachineType: LENOVO 7454CTO
> >> Package: linux-image-2.6.28-8-generic 2.6.28-8.26
> >> ProcAttrCurrent: unconfined
> >> ProcCmdLine: User Name=UUID=66ce513b-48b5-48dc-ba87-c21fa1bb6217 ro
> >> vga=0x318 quiet splash
> >> ProcCmdline: /usr/bin/python /usr/share/apport/apportcheckresume
> >> ProcEnviron: PATH=(custom, no user)
> >> ProcVersionSignature: Ubuntu 2.6.28-8.26-generic
> >> SourcePackage: linux
> >> Tags: resume suspend
> >> Title: [LENOVO 7454CTO] suspend/resume failure
> >> UserGroups:
> >>
> >> To unsubscribe from this bug, go to:
> >> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscribe
> >>
> >
> >
> > --
> > - Alex
> >
> > --
> > [LENOVO 7454CTO] suspend/resume failure
> > https://bugs.launchpad.net/bugs/335570
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (351052).
>
> --
> [LENOVO 7454CTO] suspend/resume failure
> https://bugs.launchpad.net/bugs/335570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (354708).
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> This occured w...

Read more...

inflamestory (dory-thibault) wrote :

I have got a Y530 too with hardware a little bit different : Intel P7530, GeForce 9500M G and iwlagn for wifi.
The trick given above seems to work but the laptop awakes instantly.
The pm-suspend.log file is attached.

robarago@gmail.com (robarago) wrote :

inflamestory, it seems that you misspelled the shebang in the most important script:

Running hook /etc/pm/sleep.d/20_custom-ehci_hcd resume suspend:
/etc/pm/sleep.d/20_custom-ehci_hcd: 1: !/bin/sh: not found
0000:00:1a.70000:00:1d.7
/etc/pm/sleep.d/20_custom-ehci_hcd resume suspend: success.

As you can see, the script lacks the # in front of the !/bin/sh to have the correct shebang.

Hope that solves your problem.
Regards.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
George Hein (gjhein) wrote :

FIXED via adding following file for all versions of Ubuntu tried in the last year:

#!/bin/sh
# File: "/etc/pm/sleep.d/20_custom-ehci_hcd". FIX for IDEAPAD-Y530
case "${1}" in
        hibernate|suspend)
              # Unbind ehci_hcd for first device 0000:00:1a.7:
               echo -n "0000:00:1a.7" | tee /sys/bus/pci/drivers/ehci_hcd/unbind
              # Unbind ehci_hcd for second device 0000:00:1d.7:
               echo -n "0000:00:1d.7" | tee /sys/bus/pci/drivers/ehci_hcd/unbind
        ;;
        resume|thaw)
              # Bind ehci_hcd for first device 0000:00:1a.7:
              echo -n "0000:00:1a.7" | tee /sys/bus/pci/drivers/ehci_hcd/bind
              # Bind ehci_hcd for second device 0000:00:1d.7:
              echo -n "0000:00:1d.7" | tee /sys/bus/pci/drivers/ehci_hcd/bind
        ;;
esac

This means it will be fixed in future releases of Ubuntu? That would be
awesome.

On Fri, Jul 15, 2011 at 6:43 AM, George Hein <email address hidden> wrote:

> FIXED via adding following file for all versions of Ubuntu tried in the
> last year:
>
>
> #!/bin/sh
> # File: "/etc/pm/sleep.d/20_custom-ehci_hcd". FIX for IDEAPAD-Y530
> case "${1}" in
> hibernate|suspend)
> # Unbind ehci_hcd for first device 0000:00:1a.7:
> echo -n "0000:00:1a.7" | tee
> /sys/bus/pci/drivers/ehci_hcd/unbind
> # Unbind ehci_hcd for second device 0000:00:1d.7:
> echo -n "0000:00:1d.7" | tee
> /sys/bus/pci/drivers/ehci_hcd/unbind
> ;;
> resume|thaw)
> # Bind ehci_hcd for first device 0000:00:1a.7:
> echo -n "0000:00:1a.7" | tee
> /sys/bus/pci/drivers/ehci_hcd/bind
> # Bind ehci_hcd for second device 0000:00:1d.7:
> echo -n "0000:00:1d.7" | tee
> /sys/bus/pci/drivers/ehci_hcd/bind
> ;;
> esac
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (354708).
> https://bugs.launchpad.net/bugs/335570
>
> Title:
> [LENOVO 7454CTO] suspend/resume failure
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/335570/+subscriptions
>

--
"Of all forms of tyranny the least attractive and the most vulgar is the
tyranny of mere wealth, the tyranny of plutocracy." -- John Pierpont Morgan

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers